Package gov.nasa.gsfc.sscweb.schema

# Class Tsyganenko96BFieldModel

java.lang.Object
gov.nasa.gsfc.sscweb.schema.ExternalBFieldModel
gov.nasa.gsfc.sscweb.schema.Tsyganenko96BFieldModel

public class Tsyganenko96BFieldModel extends ExternalBFieldModel
Tsyganenko 96 external B-Field model. <p>Java class for Tsyganenko96BFieldModel complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="Tsyganenko96BFieldModel"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}ExternalBFieldModel"> <sequence> <element name="SolarWindPressure" type="{http://www.w3.org/2001/XMLSchema}double"/> <element name="DstIndex" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="ByImf" type="{http://www.w3.org/2001/XMLSchema}double"/> <element name="BzImf" type="{http://www.w3.org/2001/XMLSchema}double"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected double`
  `byImf`
  BY Interplanetary Magnetic Field (IMF) (range: -100 - 100 nT, default=0.0).
  `protected double`
  `bzImf`
  BZ Interplanetary Magnetic Field (IMF) (range: -100 - 100 nT, default=0.0).
  `protected int`
  `dstIndex`
  Disturbance Storm Time (DST) index (range: -400 - 200 nT, default=-20).
  `protected double`
  `solarWindPressure`
  Solar wind pressure (range: 0 - 30 nP, default=2.1).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tsyganenko96BFieldModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getByImf()`
  BY Interplanetary Magnetic Field (IMF) (range: -100 - 100 nT, default=0.0).
  `double`
  `getBzImf()`
  BZ Interplanetary Magnetic Field (IMF) (range: -100 - 100 nT, default=0.0).
  `int`
  `getDstIndex()`
  Disturbance Storm Time (DST) index (range: -400 - 200 nT, default=-20).
  `double`
  `getSolarWindPressure()`
  Solar wind pressure (range: 0 - 30 nP, default=2.1).
  `void`
  `setByImf(double value)`
  Sets the value of the byImf property.
  `void`
  `setBzImf(double value)`
  Sets the value of the bzImf property.
  `void`
  `setDstIndex(int value)`
  Sets the value of the dstIndex property.
  `void`
  `setSolarWindPressure(double value)`
  Sets the value of the solarWindPressure property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### solarWindPressure

    protected double solarWindPressure
    Solar wind pressure (range: 0 - 30 nP, default=2.1).

  - ### dstIndex

    protected int dstIndex
    Disturbance Storm Time (DST) index (range: -400 - 200 nT, default=-20).

  - ### byImf

    protected double byImf
    BY Interplanetary Magnetic Field (IMF) (range: -100 - 100 nT, default=0.0).

  - ### bzImf

    protected double bzImf
    BZ Interplanetary Magnetic Field (IMF) (range: -100 - 100 nT, default=0.0).

- ## Constructor Details

  - ### Tsyganenko96BFieldModel

    public Tsyganenko96BFieldModel()

- ## Method Details

  - ### getSolarWindPressure

    public double getSolarWindPressure()
    Solar wind pressure (range: 0 - 30 nP, default=2.1).

  - ### setSolarWindPressure

    public void setSolarWindPressure(double value)
    Sets the value of the solarWindPressure property.

  - ### getDstIndex

    public int getDstIndex()
    Disturbance Storm Time (DST) index (range: -400 - 200 nT, default=-20).

  - ### setDstIndex

    public void setDstIndex(int value)
    Sets the value of the dstIndex property.

  - ### getByImf

    public double getByImf()
    BY Interplanetary Magnetic Field (IMF) (range: -100 - 100 nT, default=0.0).

  - ### setByImf

    public void setByImf(double value)
    Sets the value of the byImf property.

  - ### getBzImf

    public double getBzImf()
    BZ Interplanetary Magnetic Field (IMF) (range: -100 - 100 nT, default=0.0).

  - ### setBzImf

    public void setBzImf(double value)
    Sets the value of the bzImf property.